Name:           perl-JSON
Version:        1.14
Release:        1%{?dist}
Summary:        Parse and convert to JSON (JavaScript Object Notation)
License:        GPL or Artistic
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/JSON/
Source0:        http://www.cpan.org/authors/id/M/MA/MAKAMAKA/JSON-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

# core
BuildRequires:  perl(ExtUtils::MakeMaker)
# cpan
BuildRequires:  perl(HTTP::Request)
BuildRequires:  perl(HTTP::Response)
# tests, etc
BuildRequires:  perl(CGI)
BuildRequires:  perl(LWP::UserAgent)
BuildRequires:  perl(HTTP::Daemon)
BuildRequires:  perl(Test::More)
BuildRequires:  perl(Scalar::Util)

# not picked up due to eval { requires ... } constructs
Requires:       perl(Scalar::Util)
Requires:       perl(LWP::UserAgent)
Requires:       perl(HTTP::Daemon)


%description
This module converts between JSON (JavaScript Object Notation) and Perl
data structure into each other. For JSON, See to
http://www.crockford.com/JSON/.

%prep
%setup -q -n JSON-%{version}

# make rpmlint happy...
find . -type f -exec chmod -c -x {} \;
sed -i 's/\r//' README t/*.t

# Filter unwanted Provides:
cat << \EOF > %{name}-prov
#!/bin/sh
%{__perl_provides} $* |\
  sed -e '/perl(My.*)/d'
EOF

%define __perl_provides %{_builddir}/JSON-%{version}/%{name}-prov
chmod +x %{__perl_provides}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
make %{?_smp_mflags}

%install
rm -rf %{buildroot}

make pure_install PERL_INSTALL_ROOT=%{buildroot}

find %{buildroot} -type f -name .packlist -exec rm -f {} \;
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

%{_fixperms} %{buildroot}/*

%check
make test

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc Changes README t/
%{perl_vendorlib}/*
%{_mandir}/man3/*

%changelog
* Sun May 13 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.14-1
- update to 1.14

* Wed May 09 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.13-1
- update to 1.13

* Fri May 04 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.12-1
- update to 1.12
- add t/ to %%doc

* Wed Apr 25 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.11-2
- bump

* Tue Apr 24 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.11-1
- update to 1.11

* Wed Apr 18 2007 Chris Weyl <cweyl@alumni.drew.edu> 1.10-1
- Specfile autogenerated by cpanspec 1.69.1.
